import { NestFactory } from '@nestjs/core'
import { AppModule } from './app.module'
import 'reflect-metadata'
import { DocumentBuilder, SwaggerModule } from '@nestjs/swagger';
async function bootstrap () {
  const app = await NestFactory.create(AppModule)
  const config = new DocumentBuilder()
  .setTitle('AIFrame API')
  .setDescription('API for AIFrame')
  .setVersion('1.0')
  .build();

const document = SwaggerModule.createDocument(app, config);
SwaggerModule.setup('api-docs', app, document); // 访问路径为 http://localhost:3000/api-docs

  await app.listen(3002)
}
bootstrap()
